Bug 44150 - Ensure that en_US is set in the UCR variable "locale"
Ensure that en_US is set in the UCR variable "locale"
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Alexander Kläser
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-30 12:38 CEST by Alexander Kläser
Modified: 2017-04-04 18:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.257
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2017-03-30 12:38:33 CEST
We found that the locale for our system billy was set to "de_DE.UTF-8:UTF-8". However, after the update to 4.2, no UMC module could be called using English as language. Instead, the error message "Locale not available" was prompted. Adding en_US to the locale made UMC work again.

We should ensure that en_US is part of the UCR variable "locale" in order to avoid similar problems on other systems which are updated.
Comment 1 Alexander Kläser univentionstaff 2017-03-30 15:47:36 CEST
Fixed.

univention-updater (12.0.5-4):
r78502 | Bug #44150: ensure that en_US is specified in UCR variable "locale"

changelog-4.2-0.xml:
r78503 | Bug #44150: Added changelog entry
Comment 2 Stefan Gohmann univentionstaff 2017-03-31 21:13:34 CEST
Tests: OK, is set after updating to UCS 4.2.

Code review: OK

Changelog: OK
Comment 3 Stefan Gohmann univentionstaff 2017-04-04 18:29:14 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".